Skip to content
Start here

SSL Verification Details

client.ssl.verification.get(VerificationGetParams { zone_id, retry } params, RequestOptionsoptions?): VerificationGetResponse { certificate_status, brand_check, cert_pack_uuid, 5 more }
GET/zones/{zone_id}/ssl/verification

Get SSL Verification Info for a Zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Access: Mutual TLS Certificates WriteAccess: Mutual TLS Certificates ReadSSL and Certificates WriteSSL and Certificates Read
ParametersExpand Collapse
params: VerificationGetParams { zone_id, retry }
zone_id: string

Path param: Identifier.

maxLength32
retry?: true

Query param: Immediately retry SSL Verification.

ReturnsExpand Collapse
VerificationGetResponse = Array<Verification { certificate_status, brand_check, cert_pack_uuid, 5 more } >
certificate_status: "initializing" | "authorizing" | "active" | 4 more

Current status of certificate.

One of the following:
"initializing"
"authorizing"
"active"
"expired"
"issuing"
"timing_out"
"pending_deployment"
brand_check?: boolean

Certificate Authority is manually reviewing the order.

cert_pack_uuid?: string

Certificate Pack UUID.

signature?: "ECDSAWithSHA256" | "SHA1WithRSA" | "SHA256WithRSA"

Certificate's signature algorithm.

One of the following:
"ECDSAWithSHA256"
"SHA1WithRSA"
"SHA256WithRSA"
validation_method?: ValidationMethod

Validation method in use for a certificate pack order.

One of the following:
"http"
"cname"
"txt"
verification_info?: VerificationInfo { record_name, record_target }

Certificate's required verification information.

record_name?: "record_name" | "http_url" | "cname" | "txt_name"

Name of CNAME record.

formathostname
One of the following:
"record_name"
"http_url"
"cname"
"txt_name"
record_target?: "record_value" | "http_body" | "cname_target" | "txt_value"

Target of CNAME record.

formathostname
One of the following:
"record_value"
"http_body"
"cname_target"
"txt_value"
verification_status?: boolean

Status of the required verification information, omitted if verification status is unknown.

verification_type?: "cname" | "meta tag"

Method of verification.

One of the following:
"cname"
"meta tag"

SSL Verification Details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const verifications = await client.ssl.verification.get({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(verifications);
{
  "result": [
    {
      "certificate_status": "active",
      "brand_check": false,
      "cert_pack_uuid": "a77f8bd7-3b47-46b4-a6f1-75cf98109948",
      "signature": "ECDSAWithSHA256",
      "validation_method": "txt",
      "verification_info": {
        "record_name": "record_name",
        "record_target": "record_value"
      },
      "verification_status": true,
      "verification_type": "cname"
    }
  ]
}
Returns Examples
{
  "result": [
    {
      "certificate_status": "active",
      "brand_check": false,
      "cert_pack_uuid": "a77f8bd7-3b47-46b4-a6f1-75cf98109948",
      "signature": "ECDSAWithSHA256",
      "validation_method": "txt",
      "verification_info": {
        "record_name": "record_name",
        "record_target": "record_value"
      },
      "verification_status": true,
      "verification_type": "cname"
    }
  ]
}